Subject: imx27 - hanging at freeing init memory -- getting some junk characters here after on console ..

From: [email-masked] (Eric Bénard)
Date: Mon, 23 Nov 2009 21:02:37 +0100

Hi,

Martin Fuzzey wrote :
>> Assuming this is the reference hardware which you're running on, others
>> should be able to reproduce this error. Unfortunately I can't help here,
>> as I don't have access to any MX2 based hardware. Anyone else?
>>
> Mainline (2.6.32rc5) works fine on MX21 for me.
> 
> I also have a MX27 based board (Eukrea CPUMX27 module not a ADS) which
> worked fine on 2.6.30 (haven't tried since - could do so if no one
> else has a ADS handy).
> 
2.6.32-rc5 still works fine on CPUMX27 (i.MX27 + console on UART1 with 
TX/RX/RTS/CTS wired + OpenEmbedded generated rootfs).

How is wired your UART ? Is it using RTS/CTS ?
Is the iomux properly setup ?

Eric